//---------------------------------------------------------------------------

#ifndef Progress_FH
#define Progress_FH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include "TntComCtrls.hpp"
#include "TntExtCtrls.hpp"
#include "TntStdCtrls.hpp"
#include "TntForms.hpp"
//---------------------------------------------------------------------------
class TProgressForm : public TTntForm
{
__published:	// IDE-managed Components
	TTntLabel *TextLabel;
	TTntProgressBar *ProgressBar1;
	TTntShape *Shape1;
	TTntButton *BreakButton;
	void __fastcall BreakButtonClick(TObject *Sender);
	void __fastcall FormDeactivate(TObject *Sender);
private:	// User declarations
	bool FBreak;
	bool FBreakable;
  bool StopActive;

	int __fastcall GetMin(void);
	void __fastcall SetMin(int value);
	int __fastcall GetMax(void);
	void __fastcall SetMax(int value);
	int __fastcall GetPosition(void);
	void __fastcall SetPosition(int value);
	AnsiString __fastcall GetText(void);
	void __fastcall SetText(AnsiString value);
  bool __fastcall GetStopActive(void);
public:		// User declarations
	__fastcall TProgressForm(TComponent* Owner, bool bCancel = false);

    __property int Min = {read = GetMin, write = SetMin};
    __property int Max = {read = GetMax, write = SetMax};
    __property int Position = {read = GetPosition, write = SetPosition};
	__property AnsiString Text = {read = GetText, write = SetText};
	__property bool Break = {read = FBreak};
  __property bool ActiveStopButton = {read = GetStopActive};
};
//---------------------------------------------------------------------------
extern PACKAGE TProgressForm *ProgressForm;
//---------------------------------------------------------------------------
#endif
